Loading...
Searching...
No Matches
XrdCephBuffer::ICephIOAdapter Class Referenceabstract

Manage the actual IO operations that read and write the data into Ceph via librados striper. Likely to be provided with a buffer in the concreate implementation's constructor. Attempt to decouple the low level IO operations from the buffer implementation. However, ight coupling might be strictly necessary, making this class a bit redundant. Consider to refactor if this proves to be the case ... More...

`#include <ICephIOAdapter.hh>`

Inheritance diagram for XrdCephBuffer::ICephIOAdapter:
Collaboration diagram for XrdCephBuffer::ICephIOAdapter:

## Public Member Functions

virtual | ~ICephIOAdapter ()
virtual ssize_t | read (off64_t offset, size_t count)=0
| read from ceph into the buffer
virtual ssize_t | write (off64_t offset, size_t count)=0
| write from buffer into ceph

## Detailed Description

Manage the actual IO operations that read and write the data into Ceph via librados striper. Likely to be provided with a buffer in the concreate implementation's constructor. Attempt to decouple the low level IO operations from the buffer implementation. However, ight coupling might be strictly necessary, making this class a bit redundant. Consider to refactor if this proves to be the case ...

Definition at line 25 of file ICephIOAdapter.hh.

## Constructor & Destructor Documentation

## ~ICephIOAdapter()

virtual XrdCephBuffer::ICephIOAdapter::~ICephIOAdapter | ( |  | ) |

inline virtual

Definition at line 27 of file ICephIOAdapter.hh.

{}

## Member Function Documentation

## read()

virtual ssize_t XrdCephBuffer::ICephIOAdapter::read | ( | off64_t | offset,
|  | size_t | count )

pure virtual

read from ceph into the buffer

Implemented in XrdCephBuffer::CephIOAdapterAIORaw, and XrdCephBuffer::CephIOAdapterRaw.

## write()

virtual ssize_t XrdCephBuffer::ICephIOAdapter::write | ( | off64_t | offset,
|  | size_t | count )

pure virtual

write from buffer into ceph

Implemented in XrdCephBuffer::CephIOAdapterAIORaw, and XrdCephBuffer::CephIOAdapterRaw.

The documentation for this class was generated from the following file:

- ICephIOAdapter.hh